Subject: [Idr] draft-ietf-bess-nsh-bgp-control-plane contains new Flowspec action

From: John Scudder <[email-masked]>
Date: Mon, 29 Apr 2019 17:27:07 +0000

Hi All,

Stephane Litkowski pointed out to Sue and me that draft-ietf-bess-nsh-bgp-control-plane contains a new Flowspec action to redirect the traffic on a Service Function Path, in section 7.4:
https://tools.ietf.org/html/draft-ietf-bess-nsh-bgp-control-plane-10#page-33

I’ve already provided the feedback that rfc5575bis asks that the new action specify its interaction and error handling:

   Some traffic action communities may interfere with each other.
   Section 7.6 of this specification provides general considerations on
   such traffic action interference.  Any additional definition of a
   traffic actions specified by additional standards documents or vendor
   documents MUST specify if the traffic action interacts with an
   existing traffic actions, and provide error handling per [RFC7606].

I hope the IDR WG will take a look at the draft, at least section 7.4, and provide any further review. Note that it has already passed WGLC in BESS and is currently in shepherd’s review (almost completed) so although there is no specific deadline, time is of the essence — please raise any additional concerns promptly.

Thanks,

—John